Content consistency checks for new member nodes

2013-02-18 23:24 - Rob Nahf

Status: In Progress Start date: 2014-10-01

Priority: Normal Due date: 2014-10-01

Assignee: Rob Nahf % Done: 30%

Category: MNWebChecker Estimated time: 0.00 hour

Target version: Release Backlog   

Story Points:    

Description

Want to be able to detect systematic content errors for new Member nodes:

1) systemMetadata is parseable - existing getSystemMetadata() test should fail when it can't deserialize the systemMetadata, yes?

2) resourceMaps are parseable - pull a resourceMap  listObjects(formatId=, use ResourceMapFactory to deserialize

3) checksum stability - content should have the same checksum every time it is pulled.

Subtasks:

Task # 3592: write test that checks checksum consistency Closed

Task # 3593: write a test for parsing ResourceMaps Closed

Task # 3924: Pids in ObjectList should be the same as pids in the systemMetadata Map New

Task # 2956: content-checking tests for MNs entering an environment In Progress

Task # 3925: navigate through the ResourceMap confirm existence of identifiers on the MN New

History

#1 - 2013-02-20 10:01 - Rob Nahf

- Status changed from New to In Progress

possibly write a test for checking metadata (not just resource maps) the tricky part is figuring out how to isolate metadata objects from the objectList....

#2 - 2014-10-01 22:04 - Dave Vieglais

- Due date set to 2014-10-01

- Target version set to Release Backlog

- Start date set to 2014-10-01

#3 - 2015-03-25 16:41 - Andrei Buium

- % Done changed from 40 to 30

#4 - 2018-01-17 20:23 - Dave Vieglais

- Sprint set to Infrastructure backlog
